#target photoshop
//
// JSXPlay.jsx
//

//
// Generated Tue Oct 20 2020 07:48:40 GMT+0600
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== JSX Play ==============
//
function JSXPlay() {
  // Set
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Lyr '), cTID('Bckg'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 100);
    desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Nrml'));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    desc1.putInteger(cTID('LyrI'), 2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Convert to Smart Object
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('newPlacedLayer'), undefined, dialogMode);
  };

  // Set
  function step3(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Before");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Reset
  function step4(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putProperty(cTID('Clr '), cTID('Clrs'));
    desc1.putReference(cTID('null'), ref1);
    executeAction(cTID('Rset'), desc1, dialogMode);
  };

  // Purge
  function step5(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putEnumerated(cTID('null'), cTID('PrgI'), cTID('Al  '));
    executeAction(cTID('Prge'), desc1, dialogMode);
  };

  // Layer Via Copy
  function step6(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('copyToLayer'), undefined, dialogMode);
  };

  // Set
  function step7(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Effect");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Liquify
  function step8(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
var _hexToBin = 
function (h) {
  function binMap(n) {
    if (n.match(/[0-9]/)) return parseInt(n);
    return parseInt((n.charCodeAt(0) - 'A'.charCodeAt(0)) + 10);
  }

  h = h.toUpperCase().replace(/\s/g, '');
  var bytes = '';

  for (var i = 0; i < h.length/2; i++) {
    var hi = h.charAt(i * 2);
    var lo = h.charAt(i * 2 + 1);
    var b = (binMap(hi) << 4) + binMap(lo);
    bytes += String.fromCharCode(b);
  }
  return bytes;
}
;
    desc1.putData(cTID('LqMe'), _hexToBin(  "000000047966714C6873654D02000000EE020000F30100000000000001000000" +
  "0000000000000000CE070000B80B00000000000000000000CE070000B80B0000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE020000EE020000EE020000EE020000EE020000EE020000" +
  "EE020000EE020000EE0200006563614672030000000000000000001000000001" +
  "000000000008666163654D657368000000030000001566616365446573637269" +
  "70746F7256657273696F6E6C6F6E67000000020000000F666163654D65736856" +
  "657273696F6E6C6F6E67000000020000000C66616365496E666F4C697374566C" +
  "4C73000000014F626A630000000100000000000866616365496E666F00000003" +
  "0000000A6661636543656E7465724F626A63000000010000000000006E756C6C" +
  "000000020000000058202020646F75623FE28CF4FDF3B6460000000059202020" +
  "646F75623FDCDD8148020CD00000000D6665617475726556616C7565734F626A" +
  "630000000100000000000D6665617475726556616C7565730000001500000007" +
  "65796553697A65646F75623FDCCCCCC000000000000009657965486569676874" +
  "646F75623FD3D70A40000000000000086579655769647468646F75623FD851EB" +
  "800000000000000765796554696C74646F7562BFE947AE200000000000000B6C" +
  "65667445796553697A65646F75623FDCCCCCC00000000000000C726967687445" +
  "796553697A65646F75623FDCCCCCC00000000000000D6C656674457965486569" +
  "676874646F75623FD3D70A400000000000000E72696768744579654865696768" +
  "74646F75623FD3D70A400000000000000C6C6566744579655769647468646F75" +
  "623FD851EB800000000000000D72696768744579655769647468646F75623FD8" +
  "51EB800000000000000B6C65667445796554696C74646F7562BFE947AE200000" +
  "000000000C726967687445796554696C74646F7562BFE947AE20000000000000" +
  "0B65796544697374616E6365646F75623FCD70A3E00000000000000875707065" +
  "724C6970646F75623FF0000000000000000000086C6F7765724C6970646F7562" +
  "BFF0000000000000000000096E6F73655769647468646F75623FF00000000000" +
  "0000000009666163655769647468646F7562BFD851EB800000000000000A6368" +
  "696E486569676874646F7562BFE6B851E0000000000000086A61775368617065" +
  "646F7562BFF00000000000000000000A6E6F7365486569676874646F75623FEC" +
  "28F5C00000000000000E666F726568656164486569676874646F7562BFEC7AE1" +
  "400000000000001466656174757265446973706C6163656D656E74734F626A63" +
  "0000000100000000001466656174757265446973706C6163656D656E74730000" +
  "0000"
));
var _hexToBin = 
function (h) {
  function binMap(n) {
    if (n.match(/[0-9]/)) return parseInt(n);
    return parseInt((n.charCodeAt(0) - 'A'.charCodeAt(0)) + 10);
  }

  h = h.toUpperCase().replace(/\s/g, '');
  var bytes = '';

  for (var i = 0; i < h.length/2; i++) {
    var hi = h.charAt(i * 2);
    var lo = h.charAt(i * 2 + 1);
    var b = (binMap(hi) << 4) + binMap(lo);
    bytes += String.fromCharCode(b);
  }
  return bytes;
}
;
    desc1.putData(sTID("faceMeshData"), _hexToBin(  "0000001000000001000000000008666163654D65736800000003000000156661" +
  "636544657363726970746F7256657273696F6E6C6F6E67000000020000000F66" +
  "6163654D65736856657273696F6E6C6F6E67000000020000000C66616365496E" +
  "666F4C697374566C4C73000000014F626A630000000100000000000866616365" +
  "496E666F000000030000000A6661636543656E7465724F626A63000000010000" +
  "000000006E756C6C000000020000000058202020646F75623FE28CF4FDF3B646" +
  "0000000059202020646F75623FDCDD8148020CD00000000D6665617475726556" +
  "616C7565734F626A630000000100000000000D6665617475726556616C756573" +
  "000000150000000765796553697A65646F75623FDCCCCCC00000000000000965" +
  "7965486569676874646F75623FD3D70A40000000000000086579655769647468" +
  "646F75623FD851EB800000000000000765796554696C74646F7562BFE947AE20" +
  "0000000000000B6C65667445796553697A65646F75623FDCCCCCC00000000000" +
  "000C726967687445796553697A65646F75623FDCCCCCC00000000000000D6C65" +
  "6674457965486569676874646F75623FD3D70A400000000000000E7269676874" +
  "457965486569676874646F75623FD3D70A400000000000000C6C656674457965" +
  "5769647468646F75623FD851EB800000000000000D7269676874457965576964" +
  "7468646F75623FD851EB800000000000000B6C65667445796554696C74646F75" +
  "62BFE947AE200000000000000C726967687445796554696C74646F7562BFE947" +
  "AE200000000000000B65796544697374616E6365646F75623FCD70A3E0000000" +
  "0000000875707065724C6970646F75623FF0000000000000000000086C6F7765" +
  "724C6970646F7562BFF0000000000000000000096E6F73655769647468646F75" +
  "623FF000000000000000000009666163655769647468646F7562BFD851EB8000" +
  "00000000000A6368696E486569676874646F7562BFE6B851E000000000000008" +
  "6A61775368617065646F7562BFF00000000000000000000A6E6F736548656967" +
  "6874646F75623FEC28F5C00000000000000E666F726568656164486569676874" +
  "646F7562BFEC7AE1400000000000001466656174757265446973706C6163656D" +
  "656E74734F626A630000000100000000001466656174757265446973706C6163" +
  "656D656E747300000000"
));
    executeAction(1282492025, desc1, dialogMode);
  };

  // Hide
  function step9(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var list1 = new ActionList();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    list1.putReference(ref1);
    desc1.putList(cTID('null'), list1);
    executeAction(cTID('Hd  '), desc1, dialogMode);
  };

  // Show
  function step10(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var list1 = new ActionList();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    list1.putReference(ref1);
    desc1.putList(cTID('null'), list1);
    executeAction(cTID('Shw '), desc1, dialogMode);
  };

  // Filter Gallery
  function step11(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putEnumerated(cTID('GEfk'), cTID('GEft'), cTID('PstE'));
    desc1.putInteger(cTID('EdgT'), 0);
    desc1.putInteger(cTID('EdgI'), 0);
    desc1.putInteger(cTID('Pstr'), 2);
    executeAction(1195730531, desc1, dialogMode);
  };

  // Unsharp Mask
  function step12(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putUnitDouble(cTID('Amnt'), cTID('#Prc'), 90);
    desc1.putUnitDouble(cTID('Rds '), cTID('#Pxl'), 5);
    desc1.putInteger(cTID('Thsh'), 10);
    executeAction(sTID('unsharpMask'), desc1, dialogMode);
  };

  // Oil Paint
  function step13(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putBoolean(sTID("lightingOn"), false);
    desc1.putDouble(sTID("stylization"), 4);
    desc1.putDouble(sTID("brushScale"), 0.1);
    desc1.putDouble(sTID("microBrush"), 0);
    desc1.putInteger(cTID('LghD'), -60);
    desc1.putDouble(sTID("specularity"), 1.3);
    desc1.putDouble(sTID("cleanliness"), 3);
    executeAction(sTID('oilPaint'), desc1, dialogMode);
  };

  // Unsharp Mask
  function step14(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putUnitDouble(cTID('Amnt'), cTID('#Prc'), 60);
    desc1.putUnitDouble(cTID('Rds '), cTID('#Pxl'), 5);
    desc1.putInteger(cTID('Thsh'), 5);
    executeAction(sTID('unsharpMask'), desc1, dialogMode);
  };

  // Select
  function step15(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Before");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(3);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Layer Via Copy
  function step16(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(sTID('copyToLayer'), undefined, dialogMode);
  };

  // Move
  function step17(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var ref2 = new ActionReference();
    ref2.putIndex(cTID('Lyr '), 3);
    desc1.putReference(cTID('T   '), ref2);
    desc1.putBoolean(cTID('Adjs'), false);
    desc1.putInteger(cTID('Vrsn'), 5);
    var list1 = new ActionList();
    list1.putInteger(5);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('move'), desc1, dialogMode);
  };

  // Set
  function step18(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Outlines");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Duplicate
  function step19(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putIndex(sTID("filterFX"), 1);
    ref1.putName(cTID('Lyr '), "Effect");
    desc1.putReference(cTID('null'), ref1);
    var ref2 = new ActionReference();
    ref2.putIndex(sTID("filterFX"), 1);
    ref2.putIndex(cTID('Lyr '), 3);
    desc1.putReference(cTID('T   '), ref2);
    executeAction(cTID('Dplc'), desc1, dialogMode);
  };

  // Select
  function step20(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Outlines");
    desc1.putReference(cTID('null'), ref1);
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(5);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Filter Gallery
  function step21(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putEnumerated(cTID('GEfk'), cTID('GEft'), cTID('PstE'));
    desc1.putInteger(cTID('EdgT'), 0);
    desc1.putInteger(cTID('EdgI'), 3);
    desc1.putInteger(cTID('Pstr'), 6);
    executeAction(1195730531, desc1, dialogMode);
  };

  // Oil Paint
  function step22(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putBoolean(sTID("lightingOn"), false);
    desc1.putDouble(sTID("stylization"), 4);
    desc1.putDouble(sTID("brushScale"), 0.1);
    desc1.putDouble(sTID("microBrush"), 0);
    desc1.putInteger(cTID('LghD'), -60);
    desc1.putDouble(sTID("specularity"), 1.3);
    desc1.putDouble(sTID("cleanliness"), 3);
    executeAction(sTID('oilPaint'), desc1, dialogMode);
  };

  // Set
  function step23(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Ovrl'));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step24(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 45);
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Merge Visible
  function step25(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putBoolean(cTID('Dplc'), true);
    executeAction(sTID('mergeVisible'), desc1, dialogMode);
  };

  // Set
  function step26(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Hiah Pass");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // High Pass
  function step27(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    desc1.putUnitDouble(cTID('Rds '), cTID('#Pxl'), 2);
    executeAction(sTID('highPass'), desc1, dialogMode);
  };

  // Desaturate
  function step28(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    executeAction(cTID('Dstt'), undefined, dialogMode);
  };

  // Set
  function step29(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Ovrl'));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step30(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Effect");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(4);
    list1.putInteger(5);
    list1.putInteger(6);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Make
  function step31(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(sTID("layerSection"));
    desc1.putReference(cTID('null'), ref1);
    var ref2 = new ActionReference();
    ref2.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('From'), ref2);
    desc1.putInteger(sTID("layerSectionStart"), 7);
    desc1.putInteger(sTID("layerSectionEnd"), 8);
    desc1.putString(cTID('Nm  '), "Group 1");
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step32(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Oil Effect");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Hide
  function step33(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var list1 = new ActionList();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    list1.putReference(ref1);
    desc1.putList(cTID('null'), list1);
    executeAction(cTID('Hd  '), desc1, dialogMode);
  };

  // Show
  function step34(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var list1 = new ActionList();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    list1.putReference(ref1);
    desc1.putList(cTID('null'), list1);
    executeAction(cTID('Shw '), desc1, dialogMode);
  };

  // Make
  function step35(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('AdjL'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    desc3.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindDefault"));
    desc2.putObject(cTID('Type'), cTID('Lvls'), desc3);
    desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step36(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindCustom"));
    var list1 = new ActionList();
    var desc3 = new ActionDescriptor();
    var ref2 = new ActionReference();
    ref2.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Cmps'));
    desc3.putReference(cTID('Chnl'), ref2);
    var list2 = new ActionList();
    list2.putInteger(12);
    list2.putInteger(250);
    desc3.putList(cTID('Inpt'), list2);
    list1.putObject(cTID('LvlA'), desc3);
    desc2.putList(cTID('Adjs'), list1);
    desc1.putObject(cTID('T   '), cTID('Lvls'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Make
  function step37(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('AdjL'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    var list1 = new ActionList();
    list1.putInteger(0);
    list1.putInteger(0);
    list1.putInteger(0);
    desc3.putList(cTID('ShdL'), list1);
    var list2 = new ActionList();
    list2.putInteger(0);
    list2.putInteger(0);
    list2.putInteger(0);
    desc3.putList(cTID('MdtL'), list2);
    var list3 = new ActionList();
    list3.putInteger(0);
    list3.putInteger(0);
    list3.putInteger(0);
    desc3.putList(cTID('HghL'), list3);
    desc3.putBoolean(cTID('PrsL'), true);
    desc2.putObject(cTID('Type'), cTID('ClrB'), desc3);
    desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step38(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var list1 = new ActionList();
    list1.putInteger(-1);
    list1.putInteger(-13);
    list1.putInteger(0);
    desc2.putList(cTID('MdtL'), list1);
    desc1.putObject(cTID('T   '), cTID('ClrB'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Make
  function step39(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('AdjL'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putClass(cTID('Type'), sTID("vibrance"));
    desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step40(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putInteger(sTID("vibrance"), 7);
    desc1.putObject(cTID('T   '), sTID("vibrance"), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Make
  function step41(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(cTID('AdjL'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    var desc3 = new ActionDescriptor();
    desc3.putBoolean(sTID("useLegacy"), false);
    desc2.putObject(cTID('Type'), cTID('BrgC'), desc3);
    desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step42(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putInteger(cTID('Brgh'), 19);
    desc2.putInteger(cTID('Cntr'), 0);
    desc2.putBoolean(sTID("useLegacy"), false);
    desc1.putObject(cTID('T   '), cTID('BrgC'), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Select
  function step43(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Lyr '), "Levels 1");
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
    desc1.putBoolean(cTID('MkVs'), false);
    var list1 = new ActionList();
    list1.putInteger(9);
    list1.putInteger(10);
    list1.putInteger(11);
    list1.putInteger(12);
    desc1.putList(cTID('LyrI'), list1);
    executeAction(cTID('slct'), desc1, dialogMode);
  };

  // Make
  function step44(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putClass(sTID("layerSection"));
    desc1.putReference(cTID('null'), ref1);
    var ref2 = new ActionReference();
    ref2.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('From'), ref2);
    desc1.putInteger(sTID("layerSectionStart"), 13);
    desc1.putInteger(sTID("layerSectionEnd"), 14);
    desc1.putString(cTID('Nm  '), "Group 1");
    executeAction(cTID('Mk  '), desc1, dialogMode);
  };

  // Set
  function step45(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putString(cTID('Nm  '), "Adjustment");
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  // Set
  function step46(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    var desc2 = new ActionDescriptor();
    desc2.putEnumerated(cTID('Clr '), cTID('Clr '), cTID('Orng'));
    desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
    executeAction(cTID('setd'), desc1, dialogMode);
  };

  step1();      // Set
  step2();      // Convert to Smart Object
  step3();      // Set
  step4();      // Reset
  step5();      // Purge
  step6();      // Layer Via Copy
  step7();      // Set
  step8();      // Liquify
  step9();      // Hide
  step10();      // Show
  step11();      // Filter Gallery
  step12();      // Unsharp Mask
  step13();      // Oil Paint
  step14();      // Unsharp Mask
  step15();      // Select
  step16();      // Layer Via Copy
  step17();      // Move
  step18();      // Set
  step19();      // Duplicate
  step20();      // Select
  step21();      // Filter Gallery
  step22();      // Oil Paint
  step23();      // Set
  step24();      // Set
  step25();      // Merge Visible
  step26();      // Set
  step27();      // High Pass
  step28();      // Desaturate
  step29();      // Set
  step30();      // Select
  step31();      // Make
  step32();      // Set
  step33();      // Hide
  step34();      // Show
  step35();      // Make
  step36();      // Set
  step37();      // Make
  step38();      // Set
  step39();      // Make
  step40();      // Set
  step41();      // Make
  step42();      // Set
  step43();      // Select
  step44();      // Make
  step45();      // Set
  step46();      // Set
};



//=========================================
//                    JSXPlay.main
//=========================================
//

JSXPlay.main = function () {
  JSXPlay();
};

JSXPlay.main();

// EOF

"JSXPlay.jsx"
// EOF
